NamespacedTagDispatcher (Grails 3.2.7)
Date: 2017-03-06

Package: org.grails.taglib

## [Groovy] Class NamespacedTagDispatcher

- org.grails.taglib.NamespacedTagDispatcher

- Allows dispatching to namespaced tag libraries and is used within controllers and tag libraries to allow namespaced tags to be invoked as methods (eg. g.link(action:'foo')).

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected GrailsApplication` | `application` |
    `protected boolean` | `developmentMode` |
    `protected TagLibraryLookup` | `lookup` |
    `protected java.lang.String` | `namespace` |
    `protected java.lang.Class` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NamespacedTagDispatcher (java.lang.String ns, java.lang.Class callingType, GrailsApplication application, TagLibraryLookup lookup)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `initializeMetaClass()`
    `java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)`
    `protected void` | `registerTagMetaMethods(groovy.lang.ExpandoMetaClass emc)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected GrailsApplication application

    - #### protected boolean developmentMode

    - #### protected TagLibraryLookup lookup

    - #### protected java.lang.String namespace

    - #### protected java.lang.Class type

  - ### Constructor Detail

    - #### NamespacedTagDispatcher(java.lang.String ns, java.lang.Class callingType, GrailsApplication application, TagLibraryLookup lookup)

  - ### Method Detail

    - #### void initializeMetaClass()

    - #### java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

    - #### protected void registerTagMetaMethods(groovy.lang.ExpandoMetaClass emc)